Source: haskell-conduit-extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-async-dev,
 libghc-async-prof,
 libghc-attoparsec-dev (>= 0.10),
 libghc-attoparsec-prof,
 libghc-conduit-dev (>= 1.3),
 libghc-conduit-dev (<< 1.4),
 libghc-conduit-prof,
 libghc-network-dev (>= 2.3),
 libghc-network-prof,
 libghc-primitive-dev (>= 0.5),
 libghc-primitive-prof,
 libghc-quickcheck2-dev,
 libghc-resourcet-dev (>= 1.1),
 libghc-resourcet-prof,
 libghc-streaming-commons-dev (>= 0.1.16),
 libghc-streaming-commons-prof,
 libghc-typed-process-dev (>= 0.2.6),
 libghc-typed-process-prof,
 libghc-unliftio-core-dev,
 libghc-unliftio-core-prof,
 libghc-quickcheck2-dev,
 libghc-attoparsec-dev,
 libghc-conduit-dev,
 libghc-exceptions-dev,
 libghc-hspec-dev (>= 1.3),
 libghc-resourcet-dev,
 libghc-streaming-commons-dev,
 libghc-transformers-base-dev,
Build-Depends-Indep: ghc-doc,
 libghc-async-doc,
 libghc-attoparsec-doc,
 libghc-conduit-doc,
 libghc-network-doc,
 libghc-primitive-doc,
 libghc-resourcet-doc,
 libghc-streaming-commons-doc,
 libghc-typed-process-doc,
 libghc-unliftio-core-doc,
Standards-Version: 4.1.4
Homepage: http://github.com/snoyberg/conduit
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-conduit-extra
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-conduit-extra]
X-Description: batteries-included conduit: adapters for common libraries
 The conduit package itself maintains relative small dependencies. The
 purpose of this package is to collect commonly used utility functions
 wrapping other library dependencies, without depending on
 heavier-weight dependencies. The basic idea is that this package
 should only depend on haskell-platform packages and conduit.

Package: libghc-conduit-extra-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-conduit-extra-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-conduit-extra-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
